extends Node3D
@onready var nav_agent: NavigationAgent3D = %NavAgent
@onready var nav_probe: NavigationAgent3D = %NavProbe


func _ready() -> void:
	var enabled: bool = ProjectSettings.get_setting_with_override(
		"game/debug/enable_navigation_agent_debug"
	)
	nav_agent.debug_enabled = enabled
	nav_probe.debug_enabled = enabled
